import java.applet.Applet;  // java applet sinifini cagir
import java.awt.*;          // java pencere kullanma sinifini cagir
import java.awt.event.*;    //  java pencereyi dinleme sinifini cagir
import bayagikesir;

public class bkTesti extends Applet implements ActionListener
{
    // 
    //=====================================================
    // sinif degiskenleri
    // bu degiskenler tum s¨n¨fa aittir
    Label kutubasligi1;       //Label sinifi degiskeni (nesnesi) kutubasligi1
    TextField kutugirdisi1;   // Textfield sinifi degiskeni (nesnesi) kutugirdisi1
    Label kutubasligi2;       //Label sinifi degiskeni (nesnesi) kutubasligi2
    TextField kutugirdisi2;   // Textfield sinifi degiskeni (nesnesi) kutugirdisi2
    TextField kutugirdisi3;   // Textfield sinifi degiskeni (nesnesi) kutugirdisi2
    TextField kutugirdisi4;   // Textfield sinifi degiskeni (nesnesi) kutugirdisi2
    bayagikesir k1;              // bayagikesir degisken k1
    bayagikesir k2;              // bayagikesir degisken k2    
    //=====================================================
    // pencereyi baslatma metodu
    // pencere ilk basladiginda 
    // degiskenler buradaki degerleri alirlar
    public void init()
    {
    k1=new bayagikesir(1,2);
    k2=new bayagikesir(2,4);
    kutubasligi1=new Label("Birinci bayagikesir sayiyi giriniz : ");
    add(kutubasligi1);
    kutugirdisi1=new TextField(5);
    kutugirdisi1.addActionListener(this);
    add(kutugirdisi1);
    kutugirdisi2=new TextField(5);
    kutugirdisi2.addActionListener(this);
    add(kutugirdisi2);
    kutubasligi2=new Label("Ikinci bayagikesir sayiyi giriniz : ");
    add(kutubasligi2);
    kutugirdisi3=new TextField(5);
    kutugirdisi3.addActionListener(this);
    add(kutugirdisi3);
    kutugirdisi4=new TextField(5);
    kutugirdisi4.addActionListener(this);
    add(kutugirdisi4);
    }
    //=====================================================    
    // girdi alanindaki olan olaylari dinleme metodu
    // Her yeni rakam girildiginde bu metod cagirilir
    public void actionPerformed(ActionEvent e)
    {
       Integer sayi1,sayi2,sayi3,sayi4;
       sayi1=new Integer(kutugirdisi1.getText() );
       sayi2=new Integer(kutugirdisi2.getText() );
       sayi3=new Integer(kutugirdisi3.getText() );
       sayi4=new Integer(kutugirdisi4.getText() );
       showStatus("Hesaplaniyor....");
       k1.bayagikesirGir(sayi1.intValue(),sayi2.intValue());
       k2.bayagikesirGir(sayi3.intValue(),sayi4.intValue());
       showStatus("Hesaplandi");
       repaint();//pencereyi yeniden paint metoduna gore ciz
    }
    //=====================================================
    // paint (boya=pencereye ciz metodu)
    public void paint(Graphics g)
    { 
    g.drawString("ilk sayi            : "+k1.toString(),25,80);
    g.drawString("ikinci sayi         : "+k2.toString(),25,95);
    g.drawString("iki sayinin toplami : "+bayagikesir.toString(bayagikesir.topla(k1,k2)),25,110);
    g.drawString("iki sayinin farki   : "+bayagikesir.toString(bayagikesir.cikar(k1,k2)),25,125);
    g.drawString("iki sayinin carpimi : "+bayagikesir.toString(bayagikesir.carp(k1,k2)),25,140 );
    g.drawString("iki sayinin bolumu  : "+bayagikesir.toString(bayagikesir.bol(k1,k2)),25,155 );
    }
}
